- Main Page
- Classes
- Files

- Class List
- Class Members

# list_t Struct Reference

linked list More...

`#include <list.h>`

Collaboration diagram for list_t:

[legend]
List of all members.

## Public Attributes
int | length
node_t * | top
node_t * | last

## Detailed Description

linked list

Definition at line 24 of file list.h.

## Member Data Documentation

int list_t::length

list length

Definition at line 25 of file list.h.

node_t* list_t::top

pointer to top node

Definition at line 26 of file list.h.

Referenced by delete_list(), init_acpi_acadapt(), init_acpi_batt(), init_acpi_fan(), and init_acpi_thermal().

node_t* list_t::last

pointer to last node

Definition at line 27 of file list.h.

Referenced by delete_list().

The documentation for this struct was generated from the following file:

- list.h